from django.contrib.auth.views import LogoutView
from django.urls import path, include

from cabinet.views import CabinetIndexView, LoginView, AdminConfigView

app_name = 'cabinet'
urlpatterns = [
    path('', CabinetIndexView.as_view(), name='index'),
    path('login/', LoginView.as_view(), name='login'),
    path('logout/', LogoutView.as_view(), name='logout'),
    path('feeds/', include('feeds.urls', namespace='feeds')),
    path('bots/', include('bots.urls', namespace='bots')),
    path('admin/config/<slug>/', AdminConfigView.as_view(), name='admin_config'),
]
